# 54. Poizvedba: pridobi vektorske podatke iz »SoilDataset«

Poizvedba za pridobitev izvornih podatkov iz "SoilDataset" kot geojson z atributi in geometrijami (kot točke/večtočk/večkotniki/večvečkotnikov, odvisno od naloženega tipa geometrije).

{% code overflow="wrap" lineNumbers="true" %}

```graphql
poizvedba ReadSoilDatasetSource{
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      soilDatasets(soilDatasetUuids: ["<placeholder_of_soildataset_uuid>"]) {
        vectorDataGeojson
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/54.-poizvedba-pridobi-vektorske-podatke-iz-soildataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
